<div *ngIf="!range" class="d-flex justify-content-center h-100">
    <div class="spinner-border m-auto" role="status">
      <span class="sr-only">Loading...</span>
    </div>
  </div>

  <div *ngIf="range" class="row justify-content-between mb-4">
    <div class="col-lg-12 col-md-12 col-sm-12 mb-3">
      <div class="d-flex align-items-center">
        <button [routerLink]="[previousRoute]" class="btn btn-basic mr-3">
          <fa-icon [icon]="icons.faChevronLeft"></fa-icon>
        </button>
        <h2 class="mb-0">{{range.name}}</h2>
      </div>
      <!--    <h1><fa-icon [icon]="['far', 'star']"></fa-icon>{{provider.name}}</h1>-->
    </div>
    <div class="col-lg-12 col-md-12 col-sm-12">
      <form #rangeForm="ngForm" (ngSubmit)="update(rangeForm)">
        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <div class="row mb-3">

                <div class="col-lg-4 col-md-6 col-sm-6 col-12 mb-2">
                  <label for="name">Nom</label>
                  <input id="name" class="form-control" name="name" type="text" minlength="3" [ngModel]="range.name"  required>
                </div>

              </div>
            </div>
          </div>
        </div>
        <button class="btn btn-info" type="submit" [disabled]="!rangeForm.form.valid">Mettre à jour</button>
      </form>
    </div>
  </div>
